/* COPYRIGHT-ENEA-SRC-R2 *
 **************************************************************************
 * Copyright (C) 1991-2008 by Enea Software AB.
 * All rights reserved.
 *
 * This Software is furnished under a software license agreement and
 * may be used only in accordance with the terms of such agreement.
 * Any other use or reproduction is prohibited. No title to and
 * ownership of the Software is hereby transferred.
 *
 * PROPRIETARY NOTICE
 * This Software consists of confidential information.
 * Trade secret law and copyright law protect this Software.
 * The above notice of copyright on this Software does not indicate
 * any actual or intended publication of such Software.
 **************************************************************************
 * COPYRIGHT-END */

/*
 * Pre-ANSI declarations
 */

#ifndef	_STRINGS_H_
#define	_STRINGS_H_

#include "stddef.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

int    ffs(int);
#ifndef softOSE
char * strdup(const char *);
#else /* Avoid clashing with native strdup, uses malloc. */
char * zzzstrdup(const char *);
#define strdup  zzzstrdup
#endif
int    bcmp(const void *, const void *, size_t);
void   bzero(void *, size_t);
void   bcopy(const void *, void *, size_t);
size_t strlcpy(char *, const char *, size_t);
size_t strlcat(char *, const char *, size_t);
size_t strnlen(const char* s, size_t maxlen);

int    strcasecmp(const char *, const char *);
int    strncasecmp(const char *, const char *, size_t);
char * index(const char *, int);
char * rindex(const char *, int);
char * strlwr(char *);
char * strupr(char *);

#ifdef __GNUC__   
/* include gcc extensions */
#include "_ansi.h"
#endif

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* _STRINGS_H_ */
