/* COPYRIGHT-ENEA-SRC-R2 *
**************************************************************************
* Copyright (C) 2010 by Enea Software AB.
* All rights reserved.
*
* This Software is furnished under a software license agreement and
* may be used only in accordance with the terms of such agreement.
* Any other use or reproduction is prohibited. No title to and
* ownership of the Software is hereby transferred.
*
* PROPRIETARY NOTICE
* This Software consists of confidential information.
* Trade secret law and copyright law protect this Software.
* The above notice of copyright on this Software does not indicate
* any actual or intended publication of such Software.
**************************************************************************
* COPYRIGHT-END */


#ifndef HEAP_FILT_BCACHE_H
#define HEAP_FILT_BCACHE_H

#include "heap.h"
#include "compiler_macros.h"

/*****************************************************************************
 * Public Interface
 *****************************************************************************/

WEAK_REF(HeapStatus
heap_attach_bcache_filter(struct Heap *heap,
                          struct HeapStatistics *stats,
                          struct HeapConfiguration *config,
                          uint32_t nmax, uint32_t smax,
                          HeapBufferType type, HeapPID *daemon));

/*****************************************************************************/


#endif /* HEAP_FILT_BCACHE_H */
