/* COPYRIGHT-ENEA-SRC-R2 *
**************************************************************************
* Copyright (C) 2010 by Enea Software AB.
* All rights reserved.
*
* This Software is furnished under a software license agreement and
* may be used only in accordance with the terms of such agreement.
* Any other use or reproduction is prohibited. No title to and
* ownership of the Software is hereby transferred.
*
* PROPRIETARY NOTICE
* This Software consists of confidential information.
* Trade secret law and copyright law protect this Software.
* The above notice of copyright on this Software does not indicate
* any actual or intended publication of such Software.
**************************************************************************
* COPYRIGHT-END */

#ifndef HEAP_FILTER_DEBUG_H
#define HEAP_FILTER_DEBUG_H

#include "heap.h"
#include "compiler.h"

/*****************************************************************************
 * Options
 *****************************************************************************/
#define HEAP_DEBUG_DEFER    0x01
#define HEAP_DEBUG_PATTERN  0x02

/*****************************************************************************/


/*****************************************************************************
 * Public Interface
 *****************************************************************************/

WEAK_REF(HeapStatus
heap_attach_debug_filter(struct Heap *heap, uint32_t id, uint32_t options));

/*****************************************************************************/

#endif /* HEAP_FILTER_DEBUG_H */
