/* COPYRIGHT-ENEA-SRC-R2 *
 **************************************************************************
 * Copyright (C) 2006 by Enea Software AB.
 * All rights reserved.
 *
 * This Software is furnished under a software license agreement and
 * may be used only in accordance with the terms of such agreement.
 * Any other use or reproduction is prohibited. No title to and
 * ownership of the Software is hereby transferred.
 *
 * PROPRIETARY NOTICE
 * This Software consists of confidential information.
 * Trade secret law and copyright law protect this Software.
 * The above notice of copyright on this Software does not indicate
 * any actual or intended publication of such Software.
 **************************************************************************
 * COPYRIGHT-END */

#ifndef _FMM_RAMTRACE_H
#define _FMM_RAMTRACE_H

#include "stdint.h"

#include "fmm.h"
#include "efmi.h"

#include "monitor_events.sig"

EfmiStatus fmm_ramtrace_get_trace_request(
                 int32_t (*reply)(FmmSignal *sig),
                 int32_t (*endmark)(FmmSignal *sig, int32_t status),
                 const MonitorGetTraceRequest *request);

#endif

