/* COPYRIGHT-ENEA-SRC-R2 *
 **************************************************************************
 * Copyright (C) 2004-2006 by Enea Software AB.
 * All rights reserved.
 *
 * This Software is furnished under a software license agreement and
 * may be used only in accordance with the terms of such agreement.
 * Any other use or reproduction is prohibited. No title to and
 * ownership of the Software is hereby transferred.
 *
 * PROPRIETARY NOTICE
 * This Software consists of confidential information.
 * Trade secret law and copyright law protect this Software.
 * The above notice of copyright on this Software does not indicate
 * any actual or intended publication of such Software.
 **************************************************************************
 * COPYRIGHT-END */
#ifndef _PTHREAD_SIG
#define _PTHREAD_SIG

#include "ose.h"
#include "pthread.h"

#define PTHREAD_SIGBASE  (33550)
#define CONFIGURE_THREAD (PTHREAD_SIGBASE + 1)
#define ACTIVATE_THREAD  (PTHREAD_SIGBASE + 2)
#define SIGNAL_COND_VAR  (PTHREAD_SIGBASE + 3)

struct configure_thread
{
   SIGSELECT sig_no;
   void *(*func) (void *);
   void *arg;
   OSBOOLEAN attr_set;
   pthread_attr_t attr;
};

struct activate_thread
{
   SIGSELECT sig_no;
};

struct signal_cond_var
{
   SIGSELECT sig_no;
   OSBOOLEAN cancel;
};

#endif /* #ifndef _PTHREAD_SIG */
