/* COPYRIGHT-ENEA-SRC-R2 *
**************************************************************************
* Copyright (C) 2004-2006 by Enea Software AB.
* All rights reserved.
*
* This Software is furnished under a software license agreement and
* may be used only in accordance with the terms of such agreement.
* Any other use or reproduction is prohibited. No title to and
* ownership of the Software is hereby transferred.
*
* PROPRIETARY NOTICE
* This Software consists of confidential information.
* Trade secret law and copyright law protect this Software.
* The above notice of copyright on this Software does not indicate
* any actual or intended publication of such Software.
**************************************************************************
* COPYRIGHT-END */

#ifndef HEAP_BUDDY_H
#define HEAP_BUDDY_H

#include "heap.h"
#include "compiler.h"


/*****************************************************************************
 * Public Interface
 *****************************************************************************/

WEAK_REF(HeapStatus
heap_attach_buddy_algorithm(struct Heap *heap,
                            struct HeapStatistics *stats,
                            struct HeapConfiguration *config,
                            uint32_t id, uint32_t frag_id));

WEAK_REF(size_t heap_buddy_size(size_t size));

/*****************************************************************************/

#endif /* HEAP_BUDDY_H */
