/* COPYRIGHT-ENEA-SRC-R2 *
 **************************************************************************
 * Copyright (C) 2004-2006 by Enea Software AB.
 * All rights reserved.
 *
 * This Software is furnished under a software license agreement and
 * may be used only in accordance with the terms of such agreement.
 * Any other use or reproduction is prohibited. No title to and
 * ownership of the Software is hereby transferred.
 *
 * PROPRIETARY NOTICE
 * This Software consists of confidential information.
 * Trade secret law and copyright law protect this Software.
 * The above notice of copyright on this Software does not indicate
 * any actual or intended publication of such Software.
 **************************************************************************
 * COPYRIGHT-END */

#ifndef COMPAT_H
#define COMPAT_H

#include "mmtypes.h"
#include "osetypes.h"
#include "hal.h"
#include "phys_object.h"

hal_status_t
mm_map_area(struct hal_domain *hal_domain,
            struct phys_object *phys_object,
            log_addr_t la,
            int options,
            U32 access_attr,
            U32 mem_attr);

#endif /* COMPAT_H */
