/* COPYRIGHT-ENEA-SRC-R2 *
 **************************************************************************
 * Copyright (C) 2004-2006 by Enea Software AB.
 * All rights reserved.
 *
 * This Software is furnished under a software license agreement and
 * may be used only in accordance with the terms of such agreement.
 * Any other use or reproduction is prohibited. No title to and
 * ownership of the Software is hereby transferred.
 *
 * PROPRIETARY NOTICE
 * This Software consists of confidential information.
 * Trade secret law and copyright law protect this Software.
 * The above notice of copyright on this Software does not indicate
 * any actual or intended publication of such Software.
 **************************************************************************
 * COPYRIGHT-END */
#ifndef MM_ACCESS_INTERNAL_H_
#define MM_ACCESS_INTERNAL_H_

#include "partition.h"

#define MM_ACCESS_NO_ALIAS_MAPPINGS 0x1234


struct mm_forced_write
{
      SIGSELECT       sig_no;
      int status;
      void *dst;
      OSDOMAIN dst_domain;
      const void *src;
      size_t size;
};


#define MM_FORCED_WRITE_REQUEST    36300
#define MM_FORCED_WRITE_REPLY      36301

void
mm_access_init(struct partition *partition);

union SIGNAL *
mm_access_forced_write_runmode(union SIGNAL *request);

#endif /* MM_ACCESS_INTERNAL_H_ */
