/* COPYRIGHT-ENEA-SRC-R2 *
 **************************************************************************
 * Copyright (C) 2010-2011 by Enea Software AB.
 * All rights reserved.
 *
 * This Software is furnished under a software license agreement and
 * may be used only in accordance with the terms of such agreement.
 * Any other use or reproduction is prohibited. No title to and
 * ownership of the Software is hereby transferred.
 *
 * PROPRIETARY NOTICE
 * This Software consists of confidential information.
 * Trade secret law and copyright law protect this Software.
 * The above notice of copyright on this Software does not indicate
 * any actual or intended publication of such Software.
 **************************************************************************
 * COPYRIGHT-END */


#ifndef TRACEPOINT_BYTECODE_H_
#define TRACEPOINT_BYTECODE_H_

#include "stdint.h"
#include "cpu_regdump.h"
#include "rmm_tracepoint.h"
#include "monitor_tracepoint.sig"

#define TOUCH(foo) foo=foo

/**************  FUNCTION DECLARATION *********************************/

#if defined(OSPP) || defined (OSMIPS) || defined(OSARM)

unsigned long
tracepoint_bytecode_update_variable_ids( TracepointManagerInfo *tpm_info,
                                         unsigned char *tp_bytecode,
                                         int max_len,
                                         uint64_t *extra);

unsigned long
tracepoint_bytecode_eval( TracepointManagerInfo *tpm_info,
                          uint32_t frameid,
                          unsigned char *tp_bytecode,
                          int max_len,
                          struct cpu_core *regbank,
                          uint64_t *stack_top,
                          int64_t *tvariable,
                          uint32_t tvariable_length);
#endif

#endif /*TRACEPOINT_BYTECODE_H_*/
